educationClass: delta

Namespace: microsoft.graph

Important

APIs under the /beta version in Microsoft Graph are subject to change. Use of these APIs in production applications is not supported. To determine whether an API is available in v1.0, use the Version selector.

Get newly created or updated classes, including membership changes, without having to perform a full read of the entire class collection. See Use delta query for details.

Permissions

One of the following permissions is required to call this API. To learn more, including how to choose permissions, see Permissions.

Permission type Permissions (from least to most privileged)
Delegated (work or school account) EduRoster.ReadBasic, EduRoster.Read, or EduRoster.ReadWrite
Delegated (personal Microsoft account) Not supported.
Application EduRoster.ReadBasic.All, EduRoster.Read.All, or EduRoster.ReadWrite.All

HTTP request

GET /education/classes/delta

Request headers

Name Description
Authorization Bearer {code}

Request body

Do not supply a request body for this method.

Response

If successful, this method returns a 200 OK response code and an educationClass collection object in the response body.

Important

educationClass deltas do not include deleted classes.

Example

The following example shows how to call this API.

Request

The following is an example of the request.

GET https://graph.microsoft.com/beta/education/classes/delta

Response

The following is an example of the response.

Note: The response object shown here might be shortened for readability.

HTTP/1.1 200 OK
Content-type: application/json

{
  "value": [
    {
      "classCode": "String",
      "course": { "@odata.type": "microsoft.graph.educationCourse" },
      "createdBy": { "@odata.type": "microsoft.graph.identitySet" },
      "description": "String",
      "displayName": "String",
      "externalId": "String",
      "externalName": "String",
      "externalSource": "string",
      "grade": "string",
      "id": "String (identifier)",
      "mailNickname": "String",
      "term": { "@odata.type": "microsoft.graph.educationTerm" }
    }
  ]
}